Returns the full list of charge codes.
Optional. Provided as an alternative to flat file delivery of charge code data. If you implement GET /charge-codes for a GST/VAT account, you must also implement GET /tax-codes. Accruals and charge lines reference charge codes by external_id.
- Mock serverhttps://apidocs.bravotran.com/_mock/openapi/charge-codes
- https://api.yourserver.comhttps://api.yourserver.com/charge-codes
curl -i -X GET \
https://apidocs.bravotran.com/_mock/openapi/charge-codes \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'List of charge codes.
Optional. ISO 8601 timestamp of when this charge code was last updated. BravoTran doesn't use it to order charge code lists.
Optional human-readable description of the charge code. BravoTran shows the code when it is missing or null.
Classification of the charge:
freight— freight / carriage chargesorigin— origin-side chargesdestination— destination-side chargesother— anything else
Default tax code for charge lines that have no accrual tax code. Always include the key; send null when there is no default, on any account, including GST/VAT accounts. When present it must match an external_id in the tax codes data.
[ { "external_id": "eda74483-b7d9-4168-9a20-82155e59395f", "updated_at": "2024-08-21T11:30:02Z", "code": "FRT", "description": "International Freight", "charge_type": "freight", "tax_code": { … }, "is_active": true }, { "external_id": "ff815915-de16-4c63-8248-4757aea906e9", "updated_at": "2024-08-21T11:30:02Z", "code": "CCL", "description": "Customs Clearance Fee", "charge_type": "destination", "tax_code": { … }, "is_active": true } ]